linux: 2.6.32-48.110 -proposed tracker

Bug #1186340 reported by Steve Conklin on 2013-05-31
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Steve Conklin
Prepare-package-lbm
Medium
Steve Conklin
Prepare-package-meta
Medium
Steve Conklin
Prepare-package-ports-meta
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.32-48.110 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 31. May 2013 17:00 UTC
kernel-stable-Prepare-package-end:Saturday, 01. June 2013 02:58 UTC
kernel-stable-Promote-to-proposed-start:Saturday, 01. June 2013 02:58 UTC
kernel-stable-Promote-to-proposed-end:Saturday, 01. June 2013 04:27 UTC
kernel-stable-Verification-testing-start:Saturday, 01. June 2013 06:05 UTC
kernel-stable-Verification-testing-end:Friday, 07. June 2013 14:15 UTC
kernel-stable-Certification-testing-start:Friday, 07. June 2013 14:15 UTC
kernel-stable-Security-signoff-start:Friday, 07. June 2013 14:15 UTC
kernel-stable-Regression-testing-start:Friday, 07. June 2013 14:15 UTC
kernel-stable-Security-signoff-end:Saturday, 08. June 2013 01:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 11. June 2013 14:01 UTC
kernel-stable-Promote-to-updates-start:Thursday, 13. June 2013 10:02 UTC
kernel-stable-Certification-testing-end:Thursday, 13. June 2013 10:02 UTC
kernel-stable-Promote-to-updates-end:Thursday, 13. June 2013 16:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 13. June 2013 17:03 UTC

Steve Conklin (sconklin) on 2013-05-31
tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1186479

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2013-06-01
description: updated
Brad Figg (brad-figg) on 2013-06-01
description: updated
Brad Figg (brad-figg) on 2013-06-07
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-06-08
description: updated
Paul Larson (pwlars) on 2013-06-11
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-06-11
description: updated

Hardware Certification have begun testing this -proposed kernel.

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and test results are available here: http://people.canonical.com/~hwcert/sru-testing/lucid/2.6.32-48.110/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-06-13
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-48.110

---------------
linux (2.6.32-48.110) lucid; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1186340

  [ Stefan Bader ]

  * (config) Import Xen specific config options from ec2
    - LP: #1177431
  * SAUCE: xen: Send spinlock IPI to all waiters
    - LP: #1011792, #1177431

  [ Upstream Kernel Changes ]

  * ax25: fix info leak via msg_name in ax25_recvmsg()
    - LP: #1172366
    - CVE-2013-3223
  * Bluetooth: fix possible info leak in bt_sock_recvmsg()
    - LP: #1172368
    - CVE-2013-3224
  * tipc: fix info leaks via msg_name in recv_msg/recv_stream
    - LP: #1172403
    - CVE-2013-3235
  * rose: fix info leak via msg_name in rose_recvmsg()
    - LP: #1172394
    - CVE-2013-3234
  * Bluetooth: RFCOMM - Fix missing msg_namelen update in
    rfcomm_sock_recvmsg()
    - LP: #1172369
    - CVE-2013-3225
  * atm: update msg_namelen in vcc_recvmsg()
    - LP: #1172365
    - CVE-2013-3222
  * KVM: Fix bounds checking in ioapic indirect register reads
    (CVE-2013-1798)
    - LP: #1158262
    - CVE-2013-1798
  * llc: Fix missing msg_namelen update in llc_ui_recvmsg()
    - LP: #1172385
    - CVE-2013-3231
  * netrom: fix info leak via msg_name in nr_recvmsg()
    - LP: #1172386
    - CVE-2013-3232
  * irda: Fix missing msg_namelen update in irda_recvmsg_dgram()
    - LP: #1172380
    - CVE-2013-3228
  * iucv: Fix missing msg_namelen update in iucv_sock_recvmsg()
    - LP: #1172381
    - CVE-2013-3229
 -- Steve Conklin <email address hidden> Fri, 31 May 2013 12:03:46 -0500

Changed in linux (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-06-13
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers